Update Credential
Edit credential details
Path Parameters
- credentialId int32 required
Unique identifier for the requested credential
- application/json
Request Body
- MOD1
- MOD2
- id int32
- name string
- newName string required
- accountType string required
- id int32
- newName string
- description string
security object
owner object
user object
id int32name stringuserGroup object
id int32name string- email string
- externalVault boolean
- externalVaultType string
Possible values: [
CYBER_ARK,DELINEA,BEYOND_TRUST,AZURE_CREDENTIAL,HASHICORP] externalCredentialInfo object
credentialId int32credentialName stringaddress stringfolder stringobjectId stringobjectName stringplatform stringsafe stringsecretId int32secretName stringsecretPath stringsystemId int32systemName stringaccountId int32accountName stringinstanceName stringdomainName stringserverUrl stringcertificate stringvaultNamespace stringvaultName stringendpoints object
activeDirectoryEndpoint stringuserSecretName stringpasswordSecretName stringroleARNSecretName stringtenantIdSecretName stringaccessNodes object[]
type int32clientId int32clientName string- accountType string
oneOf
Responses
- 200
- 400
- 403
- 404
- 409
Success
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Conflict
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...